mu=2;
beta=0.97;
alpha=0.36;
delta=0.08;

n=200;
m=5;
kmax=25;

k=uniformnodes(0,kmax,n);

rho=0.53;
sigma=0.296;
[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
Ps=ergodicdist(P);
N=exp(Ps'*s);
s=exp(s);

[K1,out1]=ridders('aiyagari_eq',6,8,1e-5,k,s,P,beta,mu,alpha,delta,N);
lambda1=out1{1};
distK1=sum(lambda1,2);

mu=10;

[K2,out2]=ridders('aiyagari_eq',3,9,1e-5,k,s,P,beta,mu,alpha,delta,N);
lambda2=out2{1};
distK2=sum(lambda2,2);

subplot(2,1,1), plot(k,[distK1 distK2],'LineWidth',2)
subplot(2,1,2), plot(k,cumsum([distK1 distK2]),'LineWidth',2)