mu=2;
beta=0.97;
alpha=0.36;
delta=0.08;
rho=0.53;
sigma=0.296;

n=1000;
m=5;
kmax=25;

[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
Ps=ergodicdist(P);
N=exp(Ps'*s);
s=exp(s);

k=uniformnodes(0,kmax,n);

[K,out]=ridders('aiyagari_eq',6,8,1e-5,k,s,P,beta,mu,alpha,delta,N);
lambda=out{1};

distK=sum(lambda,2);
subplot(2,1,1), plot(k,distK,'LineWidth',2)
subplot(2,1,2), plot(k,cumsum(distK),'LineWidth',2)